package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.grid.domain.dto.GridCustListDTO;
import com.ruoyi.ibs.grid.domain.dto.UnbindDTO;
import com.ruoyi.ibs.grid.domain.dto.virtual.VirtualGridListDTO;
import com.ruoyi.ibs.grid.domain.entity.VirtualCust;
import com.ruoyi.ibs.grid.domain.entity.VirtualGrid;
import com.ruoyi.ibs.grid.domain.vo.VirtualGridCustVO;
import com.ruoyi.ibs.grid.domain.vo.VirtualGridListVO;
import com.ruoyi.ibs.grid.domain.vo.VirtualGridVO;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/1/2
 **/
public interface VirtualGridListService {

    List<VirtualGridCustVO> getCustList(GridCustListDTO gridCustListDTO, VirtualGrid virtualGrid);

    List<VirtualGridCustVO> getUnrelateCustList(GridCustListDTO gridCustListDTO);

    String unbindCustUser(UnbindDTO unbindDTO);

    String addCustUser(List<UnbindDTO> unbindDTOS);

    List<VirtualGridListVO> getGridList(VirtualGridListDTO virtualGridListDTO);

    List<VirtualGridListVO> getGridListByManager(VirtualGridListDTO virtualGridListDTO);

    List<VirtualCust> selectCustFromGrid(Long gridId, String searchParam);

    List<VirtualGridVO> searchVirtualGrid(String opsDept, String gridName);

}
